#define commit d86dc916771c126afb797637dda9f6421c0cb998

# major is the part of the library name after the .so
%define major      1
%define libname    %mklibname %{name}_ %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name:           lz4
Version:        1.10.0
Release:        %mkrel 3
Summary:        Extremely fast compression algorithm
Group:          Archiving/Compression
License:        GPLv2+ and BSD
URL:            https://www.lz4.org/
Source0:        https://github.com/lz4/lz4/releases/download/v%{version}/%{name}-%{version}.tar.gz

Requires:       %{libname} = %{version}-%{release}

%description
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

%package        -n %{develname}
Summary:        Development library for lz4
Group:          Development/C++
License:        BSD
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description    -n %{develname}
This package contains the header(.h) and library(.so) files required to build
applications using liblz4 library.


%package        -n %{staticname}
Summary:        Static library for lz4
Group:          Development/C++
License:        BSD
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       lib%{name}-static-devel = %{version}-%{release}

%description    -n %{staticname}
LZ4 is an extremely fast loss-less compression algorithm. This package
contains static libraries for static linking of applications.

%package        -n %{libname}
Summary:        Library for lz4
Group:          System/Libraries
License:        BSD

%description    -n %{libname}
LZ4 is an extremely fast loss-less compression algorithm. This package
contains lz4 libraries.

%prep
%autosetup -p1


%build
%set_build_flags
%make_build \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	includedir=%{_includedir}


%install
%make_install \
        prefix=%{_prefix} \
        libdir=%{_libdir} \
        includedir=%{_includedir}


%files
%license programs/COPYING lib/LICENSE
%doc NEWS
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_bindir}/unlz4
%{_mandir}/man1/lz4*
%{_mandir}/man1/unlz4*


%files -n %libname
%license lib/LICENSE
%{_libdir}/liblz4.so.%{major}{,.*}


%files -n %develname
%license lib/LICENSE
%{_includedir}/*.h
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc


%files -n %staticname
%license lib/LICENSE
%{_libdir}/liblz4.a


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.10.0-3.mga10
+ Revision: 2225139
- Mageia 10 Mass Rebuild

* Tue Jul 23 2024 wally <wally> 1.10.0-2.mga10
+ Revision: 2082344
- fix pkgconfig .pc file

* Tue Jul 23 2024 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2082321
- new version: 1.10.0

* Fri Apr 05 2024 wally <wally> 1.9.4-2.mga10
+ Revision: 2054664
- basesystem rebuild for i686

* Mon Dec 05 2022 neoclust <neoclust> 1.9.4-1.mga9
+ Revision: 1918339
- New version 1.9.4

* Tue Mar 15 2022 umeabot <umeabot> 1.9.3-3.mga9
+ Revision: 1793532
- Mageia 9 Mass Rebuild

* Sat May 29 2021 daviddavid <daviddavid> 1.9.3-2.mga9
+ Revision: 1728784
- add upstream patch to fix CVE-2021-3520 (mga#28990)

* Tue Nov 17 2020 daviddavid <daviddavid> 1.9.3-1.mga8
+ Revision: 1646916
- new version: 1.9.3

* Sat Feb 15 2020 umeabot <umeabot> 1.9.2-2.mga8
+ Revision: 1528531
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 23 2019 daviddavid <daviddavid> 1.9.2-1.mga8
+ Revision: 1431449
- new version: 1.9.2

* Sun Jul 21 2019 daviddavid <daviddavid> 1.9.1-1.mga8
+ Revision: 1423280
- new version: 1.9.1

* Wed Sep 12 2018 daviddavid <daviddavid> 1.8.3-1.mga7
+ Revision: 1258485
- new version: 1.8.3

* Thu Jun 14 2018 daviddavid <daviddavid> 1.8.2-1.mga7
+ Revision: 1236848
- new version: 1.8.2

* Mon Dec 11 2017 mjack <mjack> 1.8.0-2.mga7
+ Revision: 1182232
- Reverted Provides tag back to original for liblz4-devel

* Mon Dec 11 2017 mjack <mjack> 1.8.0-1.mga7
+ Revision: 1182167
- Updated to version 1.8.0
- Changed Provides tag for liblz4-devel (made it %%libname-devel)

* Fri Jan 06 2017 philippem <philippem> 1.7.5-1.mga6
+ Revision: 1080325
- update to 1.7.5

* Sat Dec 19 2015 philippem <philippem> r131-1.mga6
+ Revision: 912166
- clean spec, thanks David
- imported package lz4

